eBookInstallSummary の更新
名前空間: microsoft.graph
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
eBookInstallSummary オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementApps.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementApps.ReadWrite.All |
HTTP 要求
PATCH /deviceAppManagement/managedEBooks/{managedEBookId}/installSummary
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、eBookInstallSummary オブジェクトの JSON 表記を指定します。
次の表に、eBookInstallSummary の作成時に必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | 文字列 | エンティティのキー。 |
| installedDeviceCount | Int32 | このブックが正常にインストールされたデバイスの数。 |
| failedDeviceCount | Int32 | このブックのインストールが失敗したデバイスの数。 |
| notInstalledDeviceCount | Int32 | このブックがインストールされていないデバイスの数。 |
| installedUserCount | Int32 | このブックがすべて正常にインストールされたデバイスを所有しているユーザーの数。 |
| failedUserCount | Int32 | このブックのインストールが失敗したデバイスを 1 台以上所有しているユーザーの数。 |
| notInstalledUserCount | Int32 | このブックをインストールしていないユーザーの数。 |
応答
成功した場合、このメソッドは 200 OK 応答コードと、更新された eBookInstallSummary オブジェクトを応答本文で返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/v1.0/deviceAppManagement/managedEBooks/{managedEBookId}/installSummary
Content-type: application/json
Content-length: 236
{
"@odata.type": "#microsoft.graph.eBookInstallSummary",
"installedDeviceCount": 4,
"failedDeviceCount": 1,
"notInstalledDeviceCount": 7,
"installedUserCount": 2,
"failedUserCount": 15,
"notInstalledUserCount": 5
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 285
{
"@odata.type": "#microsoft.graph.eBookInstallSummary",
"id": "9708ad78-ad78-9708-78ad-089778ad0897",
"installedDeviceCount": 4,
"failedDeviceCount": 1,
"notInstalledDeviceCount": 7,
"installedUserCount": 2,
"failedUserCount": 15,
"notInstalledUserCount": 5
}
フィードバック
フィードバックの送信と表示